Page MenuHomePhabricator

revlog: simplify the replace_sidedata_info code
ClosedPublic

Authored by marmoute on May 4 2021, 10:13 AM.

Details

Summary

We already know how to serialize and de-serialize and enty. So lets just do that
and modify the entry tuple directly.

This avoid having to duplicated binary operation in complicated code.

Diff Detail

Repository
rHG Mercurial
Branch
default
Lint
No Linters Available
Unit
No Unit Test Coverage

Event Timeline

marmoute created this revision.May 4 2021, 10:13 AM
baymax updated this revision to Diff 27880.May 11 2021, 1:44 PM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

Alphare accepted this revision.May 17 2021, 5:48 PM
This revision is now accepted and ready to land.May 17 2021, 5:48 PM
This revision was automatically updated to reflect the committed changes.